# 目标检测

## 1. 简述

当前越来越多的智能终端具有了物体检测能力，特别在自动驾驶领域，对物体检测的网络设计提出了苛刻的要求，人工设计的网络已跟不上这些前沿领域的发展，AutoML越来越应用在物体检测领域。

物体检测领域可分为通用的物体检测，和针对特定应用场景的物体检测，如车道线检测等。这类特定的物体检测方法在数据集和算法上存在一定的差异。

一般物体检测的网络可分为backbone、neck、rpn和head几部分，其中backbone这部分主要负责特征的抽取和构造，很多物体检测算法都聚焦在如何构造一个更合适的backbone上。

## 2. 算法选择

根据上一个章节的描述，我们可以把物体检测的应用分为如下几个场景：

1. 场景A：普通的物体检测任务，用户希望提供物体检测的训练数据集和测试数据集后，得到一个合适的物体检测模型。
2. 场景B：针对特定场景下的物体检测任务，如车道线检测等。
3. 场景C：针对高级用户，通过搜索物体检测网络backbone，再构造物体检测网络，得到最终的物体检测模型。

同时以上三种都可能需要针对特定的硬件设备来部署模型，如Ascend 310芯片等。

### 2.1 场景A：普通的物体检测任务

这种场景下，可考虑使用SM-NAS算法，该算法可简单理解为通过两个步骤，第一个步骤是通过选择不同的backbone、neck、rpn、head组合，确定合适的检测网络，第二个步骤是针对第一步确定的网络的backbone进一步进行网络架构搜索，以得到更优的网络架构。

具体的算法介绍，可参考SM-NAS算法(开发中)

### 2.2 场景B：针对特定场景下的物体检测任务，如车道线检测等

Vega将在下一个版本提供车道线检测算法，针对这个特定的应用场景提供特定的算法。

同时Vega也会增加更多特定场景下的物体检测算法，提供更多选择。

### 2.3 场景C：搜索物体检测网络backbone

Vega提供了SP-NAS算法，该算法用以搜索面向物体检测及语义分割的高效主干网络架构，使用这类算法需要一定深度网络架构知识。

具体请参考[SP-NAS算法](../algorithms/sp_nas.md)

### 3. pipeline

具体的pipeline的构造，请参考各个算法。同时还需要注意：

1. 物体检测的数据集有差异，请参考[数据集参考](../developer/datasets.md)来适配数据集。
2. 可配置评估服务针对特定的硬件评测模型性能。
